{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    CO Marks
{% endblock %}

{% block rightPane %}

    <div class="x_panel" xmlns="http://www.w3.org/1999/html">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus-circle"></i>
                My CO Marks
            </h2>
            <div class="clearfix"></div>
        </div>

        <div class="x_content">
            <div class="row">
                <ul class="nav nav-tabs bar_tabs">
                    {% for staffCourse in courseList %}
                        <li {% if staffCourseInstance.pk == staffCourse.pk %}class="active" {% else %}
                            class="" {% endif %}>
                            <a aria-expanded="true"
                               id={{ staffCourse.pk }}
                                       data-toggle="tab" name="courseTab"
                               onmouseover="$(this).css('cursor', 'pointer')">
                                {% if staffCourse.course.code %}
                                    {{ staffCourse.course.code }}
                                {% else %}
                                    {{ staffCourse.course.course_id }}
                                {% endif %}
                            </a>
                        </li>
                    {% endfor %}
                </ul>
            </div>
        </div>

        <form method="POST">{% csrf_token %}
            <div class="row">

            </div>
            {% for entry in coMarks %}
                {% if entry.markEntered %}
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h5><strong>Unit Test {{ forloop.counter }}</strong></h5>
                        </div>
                        <div class="panel-body table-responsive">
                            <table class="table table-bordered table-striped">
                                <thead>
                                <tr>
                                    {% for each in entry.coList %}
                                        <td class="success"
                                            align="center"
                                            style="font-weight: bold">{{ each.coPattern.userPrespectiveQuestionNumber }}</td>
                                    {% endfor %}
                                    <td class="success" rowspan="2"
                                        align="center"
                                        style="font-weight: bold">Total
                                    </td>
                                </tr>
                                <tr>
                                    {% for each in entry.coList %}
                                        <td class="success" align="center" style="font-weight: bold">
                                            CO {{ each.coPattern.coMapped }}</td>
                                    {% endfor %}
                                </tr>
                                <tr>
                                    {% for each in entry.coList %}
                                        <td class="success" align="center"
                                            style="font-weight: bold">{{ each.coPattern.maximumMark }} M
                                        </td>
                                    {% endfor %}
                                    <td class="success"
                                        align="center"
                                        style="font-weight: bold">Out of {{ entry.totalMarks }}</td>
                                </tr>
                                </thead>
                                <tbody>
                                <tr>
                                    {% for each in entry.coList %}
                                        <td class="info" align="center">{{ each.markObtained }}</td>
                                    {% endfor %}
                                    <td class="info"
                                        align="center"
                                        style="font-weight: bold">{{ entry.obtainedMarks }}</td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                {% endif %}
            {% endfor %}
        </form>
    </div>

    <form id="dummy_form" method="POST">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        $('document').ready(function () {
            $('[name="courseTab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'staffCoursePk'});
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();

            });
        });

    </script>

{% endblock %}